Bug 176719 - setsysfont crashes on K6-2 for the last week or two (December 30, 2005 today)
Summary: setsysfont crashes on K6-2 for the last week or two (December 30, 2005 today)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-30 19:48 UTC by Trever Adams
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-03 04:38:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Trever Adams 2005-12-30 19:48:00 UTC
Description of problem:
Always, on boot now setsysfont crashes with the oops included below.

Version-Release number of selected component (if applicable):
initscripts-8.20-1

How reproducible:
Always

Steps to Reproduce:
1. Run a recent rawhide setup on a K6-2 with 128 MB of memory and woops, there
it goes
  
Actual results:
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
Unable to handle kernel paging request at virtual address c02e94e0
 printing eip:
c02125f4
*pde = 07c98063
Oops: 0003 [#1]
last sysfs file: /block/ram0/dev
Modules linked in: ext3 jbd
CPU:    0
EIP:    0060:[<c02125f4>]    Not tainted VLI
EFLAGS: 00010246   (2.6.14-1.1800_FC5)
EIP is at con_set_trans_new+0x2e/0x4c
eax: 00000000   ebx: 00000000   ecx: bfc23a90   edx: ffff0000
esi: bfc23a90   edi: c0420860   ebp: c7a02ecc   esp: c7a02ec8
ds: 007b   es: 007b   ss: 0068
Process setfont (pid: 269, threadinfo=c7a02000 task=c7a83aa0)
Stack: 00004b6a c7a02f3c c0211772 ffffffff c7fd8c48 c7e49000 c1106000 00000000
       00000001 c7ff5cd0 c7a02f58 c7a02f90 c7a02f9c c01a6748 c7a02f58 c7ff96a0
       c7a02f20 b78e8000 c7a02f68 c7fd45fc 00000000 c711a630 c7a02f3c c013fc01
Call Trace:
 [<c010416f>] show_stack+0x93/0x9c
 [<c010427f>] show_registers+0xee/0x1d9
 [<c01044a6>] die+0xc8/0x14c
 [<c0114ae3>] do_page_fault+0x388/0x4d8
 [<c0103e1f>] error_code+0x4f/0x60
 [<c0211772>] vt_ioctl+0x127e/0x13bc
 [<c020c710>] tty_ioctl+0x2e3/0x336
 [<c0162e35>] do_ioctl+0x3d/0x50
 [<c016304c>] vfs_ioctl+0x165/0x174
 [<c01630a2>] sys_ioctl+0x47/0x61
 [<c0102db9>] syscall_call+0x7/0xb
Code: 89 e5 b8 00 f0 ff ff 53 89 ca 21 e0 81 c2 00 02 00 00 19 db 39 50 18 83 db
00 ba f2 ff ff ff 85 db 75 21 31 db 31 c0 66 8b 14 19 <66> 89 93 e0 94 2e c0 83
c3 02 81 fb 00 02 00 00 75 e8 e8 b3 fe
Continuing in 1 seconds.
 <6>Linux agpgart interface v0.101 (c) Dave Jones


Expected results:
Should run without problems.

Additional info:

Comment 1 Trever Adams 2006-01-01 07:16:40 UTC
This seems to have been cleared up in the latest kernels, but I am not entirely
sure.

Comment 2 Trever Adams 2006-01-02 15:46:30 UTC
Yes, for sure as of Saturday/Sunday (MST) with all the latest updates, this
problem has disappeared.


Note You need to log in before you can comment on or make changes to this bug.